aagc.vo

## Class UploadFlussoRequest

- java.lang.Object
- - aagc.vo.UploadFlussoRequest

-     public class UploadFlussoRequest
      extends java.lang.Object

  Classe Java per uploadFlussoRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="uploadFlussoRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="annoRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="([0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceNazionale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="elencoDocumentiUpload" type="{http://www.nsisr.puglia.it/Schemas/}documentoUploadFlussoInformativo" maxOccurs="unbounded"/>
               <element name="meseRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="(0?[1-9]|1[012])?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="tipoFlussoUpload">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="acquisizioneVaccinaleGiava"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Integer` | `annoRiferimento`
    `protected java.lang.String` | `codiceNazionale`
    `protected java.util.List<DocumentoUploadFlussoInformativo>` | `elencoDocumentiUpload`
    `protected java.lang.Integer` | `meseRiferimento`
    `protected java.lang.String` | `tipoFlussoUpload`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadFlussoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getAnnoRiferimento()` Recupera il valore della proprietà annoRiferimento.
    `java.lang.String` | `getCodiceNazionale()` Recupera il valore della proprietà codiceNazionale.
    `java.util.List<DocumentoUploadFlussoInformativo>` | `getElencoDocumentiUpload()` Gets the value of the elencoDocumentiUpload property.
    `java.lang.Integer` | `getMeseRiferimento()` Recupera il valore della proprietà meseRiferimento.
    `java.lang.String` | `getTipoFlussoUpload()` Recupera il valore della proprietà tipoFlussoUpload.
    `void` | `setAnnoRiferimento(java.lang.Integer value)` Imposta il valore della proprietà annoRiferimento.
    `void` | `setCodiceNazionale(java.lang.String value)` Imposta il valore della proprietà codiceNazionale.
    `void` | `setMeseRiferimento(java.lang.Integer value)` Imposta il valore della proprietà meseRiferimento.
    `void` | `setTipoFlussoUpload(java.lang.String value)` Imposta il valore della proprietà tipoFlussoUpload.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annoRiferimento

          protected java.lang.Integer annoRiferimento

    - #### codiceNazionale

          protected java.lang.String codiceNazionale

    - #### elencoDocumentiUpload

          protected java.util.List<DocumentoUploadFlussoInformativo> elencoDocumentiUpload

    - #### meseRiferimento

          protected java.lang.Integer meseRiferimento

    - #### tipoFlussoUpload

          protected java.lang.String tipoFlussoUpload

  - ### Constructor Detail

    - #### UploadFlussoRequest

          public UploadFlussoRequest()

  - ### Method Detail

    - #### getAnnoRiferimento

          public java.lang.Integer getAnnoRiferimento()

      Recupera il valore della proprietà annoRiferimento.
      Returns:
        possible object is `Integer`

    - #### setAnnoRiferimento

          public void setAnnoRiferimento(java.lang.Integer value)

      Imposta il valore della proprietà annoRiferimento.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getCodiceNazionale

          public java.lang.String getCodiceNazionale()

      Recupera il valore della proprietà codiceNazionale.
      Returns:
        possible object is `String`

    - #### setCodiceNazionale

          public void setCodiceNazionale(java.lang.String value)

      Imposta il valore della proprietà codiceNazionale.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoDocumentiUpload

          public java.util.List<DocumentoUploadFlussoInformativo> getElencoDocumentiUpload()

      Gets the value of the elencoDocumentiUpload property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoDocumentiUpload property.

      For example, to add a new item, do as follows:

              getElencoDocumentiUpload().add(newItem);

      Objects of the following type(s) are allowed in the list `DocumentoUploadFlussoInformativo`

    - #### getMeseRiferimento

          public java.lang.Integer getMeseRiferimento()

      Recupera il valore della proprietà meseRiferimento.
      Returns:
        possible object is `Integer`

    - #### setMeseRiferimento

          public void setMeseRiferimento(java.lang.Integer value)

      Imposta il valore della proprietà meseRiferimento.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getTipoFlussoUpload

          public java.lang.String getTipoFlussoUpload()

      Recupera il valore della proprietà tipoFlussoUpload.
      Returns:
        possible object is `String`

    - #### setTipoFlussoUpload

          public void setTipoFlussoUpload(java.lang.String value)

      Imposta il valore della proprietà tipoFlussoUpload.
      Parameters:
        `value` - allowed object is `String`